Subject: Re: bug#44272: guix edit doesn't work when $EDITOR is set to "kate"

From: zimoun <[email-masked]>
Date: Wed, 28 Oct 2020 23:55:31 +0100

Dear,

On Wed, 28 Oct 2020 at 17:28, Nathan Dehnel <[email-masked]> wrote:
>>As Leo said, it does not seem a bug on the Guix side.  Well, what could
>> be done on the Guix side?  What do you suggest?

> Well, guix could pass different flags if EDITOR is set to "kate". Somehow I
> doubt kate would change their command line flags just because an extremely
> obscure distro-specific tool treats it the same as other text editors.

« Special cases aren't special enough to break the rules. »
Especially when all the other text editors use the same convention.

Well, thank you for the report.  If many “kate” users request, then
maybe « Although practicality beats purity. »

– from The Zen of Python, by Tim Peters – :-)

> But, whatever. The wrapper works well enough. Thanks.

So closing!

Thanks,
simon